<?php if (session_status() === PHP_SESSION_NONE) { session_start(); } ?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= isset($pageTitle) ? $pageTitle : 'Мой Не Сам - товары для уборки' ?></title>
    <link rel="stylesheet" href="/assets/bs/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/style.css">
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark mb-4">
        <div class="container">
            <a class="navbar-brand" href="/">Мой Не Сам</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <?php if (isset($_SESSION['user'])): ?>
                        <li class="nav-item">
                            <span class="nav-link">
                                <?php if ($_SESSION['user']['id_role'] == 2): ?>
                                    Администратор: 
                                <?php else: ?>
                                    Здравствуйте, 
                                <?php endif; ?>
                                <?= $_SESSION['user']['name'] ?> <?= $_SESSION['user']['patronymic'] ?>
                            </span>
                        </li>
                        <?php if ($_SESSION['user']['id_role'] == 1): ?>
                            <li class="nav-item">
                                <a class="nav-link" href="/pages/user/order_products.php">Заказать товары</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/pages/user/my_orders.php">Мои заказы</a>
                            </li>
                        <?php elseif ($_SESSION['user']['id_role'] == 2): ?>
                        <?php endif; ?>
                        <li class="nav-item">
                            <a class="nav-link" href="/pages/logout.php">Выход</a>
                        </li>
                    <?php else: ?>
                        <li class="nav-item">
                            <a class="nav-link <?= !isset($_GET['page']) || $_GET['page'] === 'auth' ? 'active' : '' ?>" href="/">Вход</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?= isset($_GET['page']) && $_GET['page'] === 'register' ? 'active' : '' ?>" href="/?page=register">Регистрация</a>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>