<?php
session_start();
require_once 'config.php';

// Если пользователь авторизован, перенаправляем в соответствующую панель
if (isset($_SESSION['user'])) {
    if ($_SESSION['user']['id_role'] == 2) {
        header("Location: /pages/admin/");
    } else {
        header("Location: /pages/user/my_orders.php");
    }
    exit;
}

// Определяем текущую страницу (auth или register)
$page = isset($_GET['page']) ? $_GET['page'] : 'auth';

// Подключаем заголовок
$pageTitle = ($page == 'auth') ? 'Авторизация' : 'Регистрация';

// Применяем специальные стили для страниц авторизации/регистрации
$authStyles = true;

require_once 'includes/header.php';

// Подключаем соответствующую страницу
if ($page == 'auth') {
    require_once 'pages/auth.php';
} else {
    require_once 'pages/register.php';
}

// Подключаем футер
require_once 'includes/footer.php';
?> 